; 斬鉄 - CMD

[Remap]
x = a
y = b
z = x
a = z
b = c
c = y
s = s

;-| 超必殺技 |--------------------------------------------------------

[Command]
name = "senkoku"
command = ~F, D, B, F, D, B, s
time = 40

[Command]
name = "yami"
command = ~F, D, B, F, D, B, y
time = 40

[Command]
name = "dango"
command = ~F, B, D, F, x+y
time = 35

[Command]
name = "tourou"
command = ~D, F, D, F, x+y
time = 25

[Command]
name = "ranbu_x"
command = ~D, D, x
time = 12

[Command]
name = "ranbu_y"
command = ~D, D , y
time = 12

;-| 必殺技 |------------------------------------------------------


[Command]
name = "oboro"
command =  ~F,D,DF, a
time = 14

[Command]
name = "kage"
command =  D,DF,F, a
time = 25

[Command]
name = "gc"
command = ~b
time = 20

[Command]
name = "ryueijin"
command = ~D,DF,F, y
time = 18

[Command]
name = "ryu"
command = ~D, DF, F, x
time = 18

[Command]
name = "ryu2"
command = ~D, DF, F, y
time = 18

[Command]
name = "ryu3"
command = ~D, DF, F, a
time = 18

[Command]
name = "kikou"
command = ~D, B, y
time = 10

[Command]
name = "oboro_f"
command =  ~B,D,DB, a
time = 14

[Command]
name = "kage2"
command =  F,B,F, a
time = 25

[Command]
name = "kopa"
command = ~D,B, x
time = 10

[Command]
name = "kasumi"
command = ~D,B, y
time = 10

[Command]
name = "tenma"
command = ~F, D, B, a
time = 20

[Command]
name = "suimen"
command =  ~B,D,DB, x
time = 20

[Command]
name = "dango_J"
command = ~F, B, D, F
time = 35

[Command]
name = "ranbu_J"
command = ~D, D
time = 12

[Command]
name = "ryu_J"
command = ~D, DF, F
time = 20

[Command]
name = "kikou_J"
command = ~D,DB, B
time = 10

[Command]
name = "oboro_J"
command =  ~F,D,DF
time = 14

[Command]
name = "oboro_f_J"
command =  ~B,D,DB
time = 14

[Command]
name = "kage_J"
command =  F,B,F
time = 25

;-| ２回押し技 |-----------------------------------------------------------

[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

[command]
name = "Airkage"
command = F, F
time = 10

[command]
name = "Airkage_Back"
command = B, B
time = 10

[command]
name = "Airkage_Down"
command = D, D
time = 10

;-| ２・３個の同時押し技 |-----------------------------------------------
[Command]
name = "oogiri"
command = z
time = 1

[Command]
name = "nage"
command = c
time = 1

[Command]
name = "x+z"
command = x+a
time = 1

[Command]
name = "x+y"
command = x+y
time = 1

;-| 方向とボタンで出す技 |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_z"
command = /$D,a
time = 1

[Command]
name = "4x"
command = /B,x
time = 1

[Command]
name = "6y"
command = /F,y
time = 1

[Command]
name = "6x"
command = /F,x
time = 1

[Command]
name = "6z"
command = /F,a
time = 1

[Command]
name = "3z"
command = /DF,a
time = 1

;-| ボタン設定（いじらない）|---------------------------------------------------------
[Command]
name = "recovery"
command = b
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| 押しっぱなし設定（いじらない）-------------------------------------------------------
[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_x+y"
command = /x+y
time = 1

[Command]
name = "hold_y+a"
command = /y+a
time = 1

[command]
name = "fwd"
command = F
time = 1

[command]
name = "back"
command = B
time = 1

[command]
name = "up"
command = $U
time = 1

[command]
name = "down"
command = $D
time = 1

; 下の記述↓は絶対に消さないでください。
[Statedef -1]
;===========================================================================

[State -1, 開幕]
type = selfstate
value = 5900
triggerall = name = "The_Loser_Must_Die"
triggerall = !ishelper
triggerall = alive
trigger1 = roundstate = 0
ignorehitpause = 1

;--------------------------------------------------------------------------------------------------------------------------------------------------

[State -1, 強制死の宣告後負け]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = !ishelper
triggerall = anim != [170,184]
triggerall = lose
triggerall = !time
triggerall = anim != 3121
triggerall = roundstate > 3
Trigger1 = var(19) = 3121
value = 170
ignorehitpause = 1

[state -1, 強制死の宣告]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = !ishelper
triggerall = stateno != 13000&&anim != 3121&&anim != 3107&&anim != 3102&&stateno != 15000&&anim != 3120&&anim != 3106&&stateno != 16000&&anim != 3103
triggerall = sysvar(0) < 1
triggerall = var(19) != 3121
trigger1 = command = "senkoku"
trigger2 = sysfvar(0) = const(data.defence)
trigger2 = !alive
value = 3102

;--------------------------------------------------------------------------------------------------------------------------------------------------

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) = 0
Triggerall = sysfvar(1) < 500
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = SCA,AA
triggerall = statetype = A
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 300                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) = 0
Triggerall = sysfvar(1) < 500
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype != C
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = SA,AT
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 300                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) = 0
Triggerall = sysfvar(1) < 500
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype = C
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = C,AP
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 300                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
Triggerall = sysfvar(1) = [500,799]
triggerall = var(26) = 0
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype != C
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = SA,AT
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 200                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
Triggerall = sysfvar(1) = [500,799]
triggerall = var(26) = 0
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = SCA,AA
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 200                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
Triggerall = sysfvar(1) = [500,799]
triggerall = var(26) = 0
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype = C
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = C,AP
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 200                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) = 0
Triggerall = sysfvar(1) = [800,999]
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype != C
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = SA,AT
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 150                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) = 0
Triggerall = sysfvar(1) = [800,999]
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = SCA,AA
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 150                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) = 0
Triggerall = sysfvar(1) = [800,999]
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = anim = 11
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = C,AP
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 150                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
Triggerall = sysfvar(1) > 1000
triggerall = var(26) = 0
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = anim != 11
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = SA,AT
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 100                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
Triggerall = sysfvar(1) > 1000
triggerall = var(26) = 0
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = SCA,AA
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 100                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
Triggerall = sysfvar(1) > 1000
triggerall = var(26) = 0
triggerall = var(43) >= 2
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = anim = 11
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = C,AP
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 100                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) = 0
triggerall = var(43) = 1
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = anim != 11
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = SA,AT
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 50                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) = 0
triggerall = var(43) = 1
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = SCA,AA
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 50                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) = 0
triggerall = var(43) = 1
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = anim = 11
triggerall = numhelper(150)
triggerall = EnemyNear(var(58)),hitdefattr = C,AP
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = sysvar(4) = 1
sysfvar(1) = 50                              ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

;-------------------------------------------------------------------------

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) >= 1
triggerall = var(20) = 0||sysfvar(3) = 0
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype != C
triggerall = EnemyNear(var(58)),hitdefattr = C,AA,AT,AP
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
triggerall = EnemyNear(var(58)),Movetype = A
trigger1 = sysvar(4) = 1
sysfvar(1) = 400                            ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) >= 1
triggerall = var(20) = 0||sysfvar(3) = 0
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = EnemyNear(var(58)),hitdefattr = SA,AA,AT,AP
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
triggerall = EnemyNear(var(58)),Movetype = A
trigger1 = sysvar(4) = 1
sysfvar(1) = 400                            ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) >= 1
triggerall = var(20) = 0||sysfvar(3) = 0
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype = C
triggerall = EnemyNear(var(58)),hitdefattr = A,AA,AT,AP
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
triggerall = EnemyNear(var(58)),Movetype = A
trigger1 = sysvar(4) = 1
sysfvar(1) = 400                            ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

;----------------------------------------------------------------------------

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall = var(26) >= 1
triggerall = var(20) >= 1&&sysfvar(3) >= 1
triggerall = !ishelper
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = EnemyNear(var(58)),hitdefattr = SCA,AA,AT,AP
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A               ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
sysfvar(1) = 400                            ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

[State -1, ダメージ処理]
type = varadd                           ;ライフを増減させるステコン
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name = "The_Loser_Must_Die"
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A              ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
sysfvar(1) = 400                            ;10ダメージ固定で食らいます、ここの数値を変えてダメージ量を設定して下さい

;-----------------------------------------------------
;無双転生影法師・本領発揮時

[State -1, 無想影法師地上]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = var(26) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(43) >= 1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = anim != 11
triggerall = EnemyNear(var(58)),HitDefAttr = SA,AT
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)
trigger1 = sysvar(4) = 1
value = 1072
ignorehitpause = 1

[State -1, 無双影法師空中]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = var(26) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(43) != 0
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = EnemyNear(var(58)),HitDefAttr = SCA,AA
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)
trigger1 = sysvar(4) = 1
value = 1073
ignorehitpause = 1

[State -1, バク宙]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = var(26) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = roundstate = 2
triggerall = var(43) >= 1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = anim = 11
triggerall = EnemyNear(var(58)),HitDefAttr = C,AP
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = !ishelper
triggerall = helper(150),gethitvar(damage)
trigger1 = sysvar(4) = 1
value = 1120
ignorehitpause = 1

;---------------------------------------------------
;無双転生影法師・自重かつ悶絶スイッチオン時

[State -1, 無想影法師地上]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) = 0||sysfvar(3) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype != C
triggerall = !ishelper
triggerall = EnemyNear(var(58)),HitDefAttr = C,AA,AT,AP
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
triggerall = EnemyNear(var(58)),Movetype = A
trigger1 = sysvar(4) = 1
value = 1072
ignorehitpause = 1

[State -1, 無双影法師空中]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) = 0||sysfvar(3) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = EnemyNear(var(58)),HitDefAttr = SA,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
triggerall = EnemyNear(var(58)),Movetype = A
trigger1 = sysvar(4) = 1
value = 1073
ignorehitpause = 1

[State -1, バク宙]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) = 0||sysfvar(3) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = roundstate = 2
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype = C
triggerall = EnemyNear(var(58)),HitDefAttr = A,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
triggerall = EnemyNear(var(58)),Movetype = A
trigger1 = sysvar(4) = 1
value = 1120
ignorehitpause = 1

;----------------------------------------------------
;無双転生影法師・自重かつ悶絶スイッチオフ時、もしくは同キャラ戦時

[State -1, 無想影法師地上]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) >= 1&&sysfvar(3) >= 1
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = EnemyNear(var(58)),Hitdefattr = SA,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1072
ignorehitpause = 1

[State -1, 無双影法師空中]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) >= 1&&sysfvar(3) >= 1
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = EnemyNear(var(58)),HitDefAttr = SCA,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1073
ignorehitpause = 1

[State -1, バク宙]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) >= 1&&sysfvar(3) >= 1
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = EnemyNear(var(58)),HitDefAttr = C,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1120
ignorehitpause = 1


[State -1, 無想影法師地上]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name = "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = EnemyNear(var(58)),Hitdefattr = SA,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1072
ignorehitpause = 1

[State -1, 無双影法師空中]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name = "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = EnemyNear(var(58)),HitDefAttr = SCA,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1073
ignorehitpause = 1

[State -1, バク宙]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name = "The_Loser_Must_Die"
triggerall =  var(25) = 0
triggerall = alive
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = EnemyNear(var(58)),HitDefAttr = C,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1120
ignorehitpause = 1

;----------------------------------------------------------------------------
;蘇生スイッチオフ時

;-----------------------------------------------------
;無双転生影法師・本領発揮時

[State -1, 無想影法師地上]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = var(26) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(43) >= 1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = anim != 11
triggerall = EnemyNear(var(58)),HitDefAttr = SA,AT
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)
trigger1 = sysvar(4) = 1
value = 1072
ignorehitpause = 1

[State -1, 無双影法師空中]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = var(26) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(43) != 0
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = EnemyNear(var(58)),HitDefAttr = SCA,AA
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)
trigger1 = sysvar(4) = 1
value = 1073
ignorehitpause = 1

[State -1, バク宙]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = var(26) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = roundstate = 2
triggerall = var(43) >= 1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = anim = 11
triggerall = EnemyNear(var(58)),HitDefAttr = C,AP
triggerall = EnemyNear(var(58)),Movetype = A
triggerall = !ishelper
triggerall = helper(150),gethitvar(damage)
trigger1 = sysvar(4) = 1
value = 1120
ignorehitpause = 1

;---------------------------------------------------
;無双転生影法師・自重かつ悶絶スイッチオン時

[State -1, 無想影法師地上]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) = 0||sysfvar(3) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype != C
triggerall = !ishelper
triggerall = EnemyNear(var(58)),HitDefAttr = C,AA,AT,AP
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
triggerall = EnemyNear(var(58)),Movetype = A
trigger1 = sysvar(4) = 1
value = 1072
ignorehitpause = 1

[State -1, 無双影法師空中]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) = 0||sysfvar(3) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = EnemyNear(var(58)),HitDefAttr = SA,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
triggerall = EnemyNear(var(58)),Movetype = A
trigger1 = sysvar(4) = 1
value = 1073
ignorehitpause = 1

[State -1, バク宙]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) = 0||sysfvar(3) = 0
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = roundstate = 2
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = Statetype = C
triggerall = EnemyNear(var(58)),HitDefAttr = A,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
triggerall = EnemyNear(var(58)),Movetype = A
trigger1 = sysvar(4) = 1
value = 1120
ignorehitpause = 1

;----------------------------------------------------
;無双転生影法師・自重かつ悶絶スイッチオフ時、もしくは同キャラ戦時

[State -1, 無想影法師地上]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) >= 1&&sysfvar(3) >= 1
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = EnemyNear(var(58)),Hitdefattr = SA,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1072
ignorehitpause = 1

[State -1, 無双影法師空中]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) >= 1&&sysfvar(3) >= 1
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = EnemyNear(var(58)),HitDefAttr = SCA,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1073
ignorehitpause = 1

[State -1, バク宙]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name != "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = var(26) >= 1
triggerall = var(20) >= 1&&sysfvar(3) >= 1
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = EnemyNear(var(58)),HitDefAttr = C,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1120
ignorehitpause = 1


[State -1, 無想影法師地上]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name = "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = EnemyNear(var(58)),Hitdefattr = SA,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1072
ignorehitpause = 1

[State -1, 無双影法師空中]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name = "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype = A
triggerall = EnemyNear(var(58)),HitDefAttr = SCA,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1073
ignorehitpause = 1

[State -1, バク宙]
type = selfstate
triggerall = name = "The_Loser_Must_Die"
triggerall = EnemyNear(var(58)),name = "The_Loser_Must_Die"
triggerall =  var(25) > 0
triggerall = sysfvar(1) <= lifemax - (lifemax/6)
triggerall = alive
triggerall = roundstate = 2
triggerall = sysfvar(0) < const(data.defence)-1
triggerall = var(15) = 0
triggerall = Movetype != A
triggerall = statetype != A
triggerall = EnemyNear(var(58)),HitDefAttr = C,AA,AT,AP
triggerall = !ishelper
triggerall = numhelper(150)
triggerall = helper(150),gethitvar(damage)                ;省略可、前述のヘルパーアーマー出現条件に合わせて下さい
trigger1 = EnemyNear(var(58)),Movetype = A
value = 1120
ignorehitpause = 1

;---------------------------------------------------------------------------

;闇狩り
[State -1]
type = selfstate
value = 3100
triggerall = roundstate = 2
triggerall = sysvar(1) != [3,4]
triggerall = sysvar(1) = 1 || sysvar(1) = 5
triggerall = command = "yami"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = sysvar(1) = [5,6]
trigger5 = anim = 430
trigger5 = movecontact
trigger6 = sysvar(1) = [1,2]
trigger6 = anim = 225
trigger6 = movecontact

;闇狩り
[State -1]
type = selfstate
value = 3100
triggerall = roundstate = 2
triggerall = sysvar(1) != [3,4]
triggerall = sysvar(1) = 2 || sysvar(1) = 6
triggerall = command = "yami"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = sysvar(1) = [5,6]
trigger5 = anim = 430
trigger5 = movecontact
trigger6 = sysvar(1) = [1,2]
trigger6 = anim = 225
trigger6 = movecontact

;---------------------------------------------------------------------------
;前転起き上がり
[State -1]
type = selfstate
triggerall = roundstate = 2
triggerall = command = "holdfwd"
trigger1 = (anim = 5110) && (Time >= 25)
value = 5130

;後転起き上がり
[State -1]
type = selfstate
triggerall = roundstate = 2
triggerall = command = "holdback"
trigger1 = (anim = 5110) && (Time >= 25)
value = 5135

;---------------------------------------------------------------------------
;投げ
[State -1, 通常投げ]
type = selfstate
value = 800
triggerall = roundstate = 2
triggerall = command = "nage"
triggerall = statetype != A 
trigger1 = ctrl
trigger2 = (anim = 100) || (anim = 101)
trigger3 = command = "holdfwd" && ctrl

;---------------------------------------------------------------------------
;弾き 立ち
[State -1]
type = selfstate
value = 8100
triggerall = roundstate = 2
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype = S 
triggerall = anim != 8101
trigger1 = ctrl || anim = 100 || anim = 101

;---------------------------------------------------------------------------
;弾き しゃがみ
[State -1]
type = selfstate
value = 8110
triggerall = roundstate = 2
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = statetype = C
triggerall = anim != 8111
trigger1 = ctrl || anim = 100 || anim = 101

;---------------------------------------------------------------------------
;弾き 空中
[State -1]
type = selfstate
value = 8120
triggerall = roundstate = 2
trigger1 = command = "b"
trigger1 = statetype = A
trigger1 = ctrl||anim = 105

;弾き 空中
[State -1]
type = selfstate
value = 8120
triggerall = roundstate = 2
triggerall = !movecontact
triggerall = command = "b"
triggerall = statetype = A
triggerall = enemynear,movetype = A
triggerall = enemynear,movetype !=H
triggerall = enemynear,movetype !=I
trigger1 = anim != 3105&&anim !=3106&&anim!= 3110&&anim!= 3120
trigger1 = anim !=1105&&anim!= 1110&&anim!= 1115&&anim!= 1340
trigger1 = ctrl = 0

;---------------------------------------------------------------------------
;走り斬り
[State -1,rungiri]
type = selfstate
value = 270
triggerall = roundstate = 2
triggerall = command = "x" || command = "y"
trigger1 = anim = 100 && time >= 12
trigger2 = (anim = 101) && (AnimElem = 2,<= 0)

;---------------------------------------------------------------------------
;走り蹴り
[State -1,runkeri]
type = selfstate
value = 275
triggerall = roundstate = 2
triggerall = command = "holddown"
triggerall = command = "a" || command = "x" || command = "y"
trigger1 = anim = 100 && time >= 12
trigger2 = (anim = 101) && (AnimElem = 2,<= 0)

;---------------------------------------------------------------------------
;断鋼刃
[State -1]
type = selfstate
value = 3000
triggerall = roundstate = 2
triggerall = sysvar(1) = 1 || sysvar(1) = 3 || sysvar(1) = 5
triggerall = command = "dango"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = sysvar(1) != [1,2]
trigger6 = anim = 430
trigger6 = movecontact
trigger7 = sysvar(1) = [1,2]
trigger7 = anim = 225
trigger7 = movecontact

;断鋼刃
[State -1]
type = selfstate
value = 3000
triggerall = roundstate = 2
triggerall = sysvar(1) = 2 || sysvar(1) = 4 || sysvar(1) = 6
triggerall = command = "dango"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = sysvar(1) != [1,2]
trigger6 = anim = 430
trigger6 = movecontact
trigger7 = sysvar(1) = [1,2]
trigger7 = anim = 225
trigger7 = movecontact

; 蟷螂双刃
[State -1]
type = selfstate
value = 3300
triggerall = roundstate = 2
triggerall =anim!=3300
triggerall = command = "tourou"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact
trigger3 = anim=400||anim=405||anim=410||anim=430
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)

;---------------------------------------------------------------------------
; 乱舞奥義_打上
[State -1]
type = selfstate
value = 3500
triggerall = roundstate = 2
triggerall = sysvar(1) != [1,2]
triggerall = sysvar(1) = 3 || sysvar(1) = 5
triggerall = command = "ranbu_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410||anim=430
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = movecontact && (anim = 225)
trigger7 = (anim = 8101) || (anim = 8111)

; 乱舞奥義_打上
[State -1]
type = selfstate
value = 3500
triggerall = roundstate = 2
triggerall = sysvar(1) != [1,2]
triggerall = sysvar(1) = 4 || sysvar(1) = 6
triggerall = command = "ranbu_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410||anim=430
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = movecontact && (anim = 225)
trigger7 = (anim = 8101) || (anim = 8111)

;---------------------------------------------------------------------------
; 乱舞奥義_下段
[State -1]
type = selfstate
value = 3520
triggerall = roundstate = 2
triggerall = sysvar(1) != [1,2]
triggerall = sysvar(1) = 3 || sysvar(1) = 5
triggerall = command = "ranbu_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410||anim=430
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = movecontact && (anim = 225)
trigger7 = (anim = 8101) || (anim = 8111)

; 乱舞奥義_下段
[State -1]
type = selfstate
value = 3520
triggerall = roundstate = 2
triggerall = sysvar(1) != [1,2]
triggerall = sysvar(1) = 4 || sysvar(1) = 6
triggerall = command = "ranbu_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410||anim=430
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = movecontact && (anim = 225)
trigger7 = (anim = 8101) || (anim = 8111)

;---------------------------------------------------------------------------

;流影陣
[State -1]
type = selfstate
value = 1005
triggerall = roundstate = 2
triggerall = sysvar(1) != [1,2]
triggerall = command = "ryueijin"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = sysvar(1) != [1,2]
trigger6 = anim=430
trigger6 = movecontact
trigger7 = sysvar(1) = [1,2]
trigger7 = movecontact

;---------------------------------------------------------------------------

;流影刃
[State -1]
type = selfstate
value = 1000
triggerall = roundstate = 2
triggerall = command = "ryu"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = sysvar(1) != [1,2]
trigger6 = anim=430
trigger6 = movecontact
trigger7 = sysvar(1) = [1,2]
trigger7 = anim = 225
trigger7 = movecontact

;---------------------------------------------------------------------------
;気孔砲
[State -1]
type = selfstate
value = 1010
triggerall = roundstate = 2
triggerall = command = "kikou"
triggerall = sysvar(1) = [1,2]
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = anim = 225
trigger6 = movecontact

;気孔砲
[State -1]
type = selfstate
value = 10100
triggerall = roundstate = 2
triggerall = command = "kikou"
triggerall = sysvar(1) != [1,2]
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = anim=430
trigger6 = movecontact

;---------------------------------------------------------------------------
;朧斬り,技、極
[State -1]
type = selfstate
value = 1020
triggerall = roundstate = 2
triggerall = command = "oboro"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = sysvar(1) != [1,2]
trigger6 = anim=430
trigger6 = movecontact
trigger7 = sysvar(1) = [1,2]
trigger7 = anim = 225
trigger7 = movecontact
;---------------------------------------------------------------------------
;空中朧斬り
[State -1]
type = selfstate
value = 1020
triggerall = roundstate = 2
triggerall = command = "oboro"
trigger1 = statetype = A
trigger1 = ctrl||anim = 105
trigger2 = movecontact
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270||anim = 600||anim = 610||anim = 630
trigger3 = movecontact
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = sysvar(1) != [1,2]
trigger6 = anim=430
trigger6 = movecontact
trigger7 = sysvar(1) = [1,2]
trigger7 = anim = 225
trigger7 = movecontact

;---------------------------------------------------------------------------
;天魔脚
[State -1]
type = selfstate
value = 1040
triggerall = roundstate = 2
triggerall = command = "down_z"
triggerall = statetype = A
trigger1 = ctrl||anim = 105
trigger2 = movecontact 
trigger2 = anim=600||anim=610||anim=630

;---------------------------------------------------------------------------
;影法師
[State -1]
type = selfstate
value = 1070
triggerall = roundstate = 2
triggerall = command = "kage"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = sysvar(1) != [1,2]
trigger5 = anim=430
trigger5 = movecontact
trigger6 = sysvar(1) = [1,2]
trigger6 = anim = 225
trigger6 = movecontact
;---------------------------------------------------------------------------
;影法師_2
[State -1]
type = selfstate
value = 1071
triggerall = roundstate = 2
triggerall = command = "kage2"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = sysvar(1) != [1,2]
trigger5 = anim=430
trigger5 = movecontact
trigger6 = sysvar(1) = [1,2]
trigger6 = anim = 225
trigger6 = movecontact

;---------------------------------------------------------------------------
;天魔落とし
[State -1]
type = selfstate
value = 1100
triggerall = roundstate = 2
triggerall = command = "tenma"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = sysvar(1) != [1,2]
trigger6 = anim=430
trigger6 = movecontact
trigger7 = sysvar(1) = [1,2]
trigger7 = anim = 225
trigger7 = movecontact

;---------------------------------------------------------------------------
;空中版天魔落とし
[State -1]
type = selfstate
value = 1350
triggerall = roundstate = 2
triggerall = command = "tenma"
triggerall = statetype = A
trigger1 = (ctrl||anim = 105)&&anim != 110&&anim != 111&&anim != 112
trigger2 = movecontact 
trigger2 = anim=600||anim=610||anim=630

;---------------------------------------------------------------------------
;骸縫いＡ
[State -1]
type = selfstate
value = 1400
triggerall = roundstate = 2
triggerall = command = "ryu"
triggerall = statetype = A
trigger1 = ctrl||anim = 105
trigger2 = movecontact 
trigger2 = anim=600||anim=610||anim=630

;骸縫いＢ
[State -1]
type = selfstate
value = 1410
triggerall = roundstate = 2
triggerall = command = "ryu2"
triggerall = statetype = A
trigger1 = ctrl||anim = 105
trigger2 = movecontact 
trigger2 = anim=600||anim=610||anim=630


;---------------------------------------------------------------------------
;水面隠れ
[State -1]
type = selfstate
value = 1450
triggerall = roundstate = 2
triggerall = command = "suimen"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=400||anim=405||anim=410
trigger4 = anim = 101
trigger5 = movecontact && (anim = 1080)
trigger6 = sysvar(1) != [1,2]
trigger6 = anim=430
trigger6 = movecontact
trigger7 = sysvar(1) = [1,2]
trigger7 = anim = 225
trigger7 = movecontact

;---------------------------------------------------------------------------
;ガード不能斬り
[State -1]
type = selfstate
value = 250
triggerall = roundstate = 2
triggerall = command = "oogiri"
triggerall = sysvar(1) = [1,2]
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = anim = 211
trigger2 = sysfvar(2) = 215

;---------------------------------------------------------------------------
;大斬り
[State -1]
type = selfstate
value = 260
triggerall = roundstate = 2
triggerall = command = "oogiri"
triggerall = sysvar(1) != [1,2]
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=230||anim=270
trigger3 = movecontact 
trigger3 = anim=410
trigger4 = anim = 101

;---------------------------------------------------------------------------
;走り斬り
[State -1]
type = selfstate
value = 270
triggerall = roundstate = 2
triggerall = anim = 100
triggerall = command = "6y"||command = "6x"
triggerall = sysvar(1) != [1,2]
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;立弱斬←入れ
[State -1, 立弱斬←入れ]
type = selfstate
value = 205
triggerall = roundstate = 2
triggerall = command = "4x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = anim = 101

;---------------------------------------------------------------------------
;立弱斬・連撃
[State -1, 立弱斬・連撃]
type = selfstate
value = 201
triggerall = roundstate = 2
triggerall = command = "4x"
triggerall = command != "holddown"
triggerall = movecontact && (anim = 200)
trigger1 = sysvar(1) != [1,2]
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;立弱斬
[State -1, 立弱斬]
type = selfstate
value = 200
triggerall = roundstate = 2
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = sysvar(1) != [1,2]
trigger2 = movecontact && (anim = 205)
trigger3 = anim = 101

;---------------------------------------------------------------------------
;立超強斬
[State -1]
type = selfstate
value = 215
triggerall = roundstate = 2
triggerall = command = "6y" 
triggerall = command != "holddown"
trigger1 = ctrl
trigger1 = statetype = S
trigger2 = sysvar(1) != [1,2]
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=270||anim=410
trigger3 = anim = 101

;---------------------------------------------------------------------------
;立強斬
[State -1, Stand Strong Punch]
type = selfstate
value = 210
triggerall = roundstate = 2
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = sysvar(1) != [1,2]
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=270||anim = 230
trigger3 = anim = 101

;---------------------------------------------------------------------------
;蹴り飛ばし
[State -1, Standing Strong Kick]
type = selfstate
value = 225
triggerall = roundstate = 2
triggerall = command = "6z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = sysvar(1) != [1,2]
trigger2 = movecontact 
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=270||anim=410
trigger3 = anim = 101

;---------------------------------------------------------------------------
;立弱蹴
[State -1, Stand Light Kick]
type = selfstate
value = 230
triggerall = roundstate = 2
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = anim = 101

;---------------------------------------------------------------------------
;挑発
[State -1, Taunt]
type = selfstate
value = 195
triggerall = roundstate = 2
triggerall = anim != 195&&anim != 1500&&anim != 3000&&anim != 3005&&anim != 3010
triggerall = anim != 3100&&anim != 3101&&anim != 1000&&anim != [1070,1073]
triggerall = command = "start"
trigger1 = statetype != A

;---------------------------------------------------------------------------
;屈弱斬
[State -1, Crouching Light Punch]
type = selfstate
value = 400
triggerall = roundstate = 2
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = sysvar(1) != [1,2]
trigger2 = movecontact
trigger2 = anim=200||anim=205
trigger3 = anim = 101

;---------------------------------------------------------------------------
;屈弱斬+
[State -1]
type = selfstate
value = 405
triggerall = roundstate = 2
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = sysvar(1) = [1,2]
trigger1 = movehit && (anim = 400)
trigger2 = sysvar(1) != [1,2]
trigger2 = movecontact && (anim = 400)

;---------------------------------------------------------------------------
;屈強斬
[State -1, Crouching Strong Punch]
type = selfstate
value = 410
triggerall = roundstate = 2
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = sysvar(1) != [1,2]
trigger2 = movecontact
trigger2 = anim=200||anim=201||anim=205||anim=270
trigger3 = anim = 101

;---------------------------------------------------------------------------
;脚払
[State -1, Crouching Strong Kick]
type = selfstate
value = 440
triggerall = roundstate = 2
triggerall = command = "3z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = sysvar(1) != [1,2]
trigger2 = movecontact
trigger2 = anim=200||anim=201||anim=205||anim=210||anim=270||anim=410

;---------------------------------------------------------------------------
;屈弱蹴
[State -1, Crouching Light Kick]
type = selfstate
value = 430
triggerall = roundstate = 2
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = anim = 101

;---------------------------------------------------------------------------
[State -1, こすり用]
type = selfstate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = A
triggerall = command = "holdx"
triggerall = command != "holddown"
trigger1 = anim = 600
trigger1 = animelemtime(3) >1
value = 300

;空弱斬
[State -1, Jump Light Punch]
type = selfstate
value = 600
triggerall = roundstate = 2
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl||anim = 105
trigger2 = anim = 610
trigger2 = movecontact

;---------------------------------------------------------------------------
;空強斬
[State -1, Jump Strong Punch]
type = selfstate
value = 610
triggerall = roundstate = 2
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl||anim = 105
trigger2 = anim = 600||anim = 630
trigger2 = movecontact

;---------------------------------------------------------------------------

[State -1, 7aバグ]
type = selfstate
triggerall = !ishelper
triggerall= alive
triggerall = statetype = A
triggerall = command = "a"
trigger1 = anim = 630
trigger1 = movecontact
trigger1 = animelemtime(5) > 0
value = 300
ignorehitpause = 1

;空蹴
[State -1, Jump Kick]
type = selfstate
value = 630
triggerall = roundstate = 2
triggerall = command = "a"
triggerall = command != "x"
trigger1 = statetype = A
trigger1 = ctrl||anim = 105
trigger2 = anim = 600
trigger2 = movecontact
trigger3 = anim = 610&&animelemtime(6) > 0
trigger3 = movecontact

;---------------------------------------------------------------------------

[State -1, 勝利]
type = selfstate
value = 180
triggerall = name = "The_Loser_Must_Die"
triggerall = !ishelper
triggerall = alive
triggerall = anim != [170,184]
triggerall = !time
triggerall = win
triggerall = anim != 3121
trigger1 = roundstate > 3
ignorehitpause = 1

[State -1, 引き分け]
type = selfstate
value = 175
triggerall = name = "The_Loser_Must_Die"
triggerall = !ishelper
triggerall = alive
triggerall = anim != [170,184]
triggerall = !time
triggerall = drawgame
triggerall = anim != 3121
trigger1 = roundstate > 3
ignorehitpause = 1

[State -1, 判定負け]
type = selfstate
value = 170
triggerall = name = "The_Loser_Must_Die"
triggerall = !ishelper
triggerall = alive
triggerall = anim != [170,184]
triggerall = !time
triggerall = lose
triggerall = anim != 3121
trigger1 = roundstate > 3
ignorehitpause = 1

;---------------------------------------------------------------------------

[state -1, 空中ジャンプ]
type = selfstate
triggerall = !ishelper
triggerall = alive
triggerall= statetype = A
triggerall = vel y > 0
triggerall = var(18) <= (const(movement.airjump.num))
triggerall = command = "up"
triggerall = animelemtime(1) > 2
trigger1 = ctrl||anim = 105
trigger2 = anim = 600&&movecontact
trigger2 = animelemtime(4) > 0
value = 40


[State -1, ジャンプ]
type = selfstate
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = statetype != A
triggerall = command = "holdup"
trigger1 = ctrl
trigger2 = anim = 200&&movecontact&&sysvar(1) != [1,2]
trigger2 = animelemtime(4) > 0
trigger3 = anim = 201&&movecontact&&sysvar(1) != [1,2]
trigger3 = animelemtime(4) > 0
trigger4 = anim = 202
trigger4 = animelemtime(5) > 0
trigger5 = anim = 205&&movecontact&&sysvar(1) != [1,2]
trigger5 = animelemtime(4) > 0
trigger6 = anim = 210&&movecontact&&sysvar(1) != [1,2]
trigger6 = animelemtime(10) > 0
trigger7 = anim = 211
trigger7 = animelemtime(4) > 0
trigger8 = anim = 230&&movecontact&&sysvar(1) != [1,2]
trigger8 = animelemtime(5) > 0
trigger9 = anim = 225&&movecontact&&sysvar(1) != [1,2]
trigger9 = animelemtime(5) > 0
trigger10 = anim = 251&&movecontact&&sysvar(1) != [1,2]
trigger10 = animelemtime(5) > 0
trigger11 = anim = 260&&movecontact&&sysvar(1) != [1,2]
trigger11 = animelemtime(5) > 0
trigger12 = anim = 410&&movecontact&&sysvar(1) != [1,2]
trigger12 = animelemtime(5) > 0
value = 40


;----------------------------------------------------------------------------

[State -1, しゃがみ]
type = selfstate
triggerall = !ishelper
triggerall = statetype = C
triggerall = ctrl
triggerall = !animtime
triggerall = roundstate = 2
trigger1 = command = "holddown"
value = 11
ignorehitpause = 1
;---------------------------------------------------------------------------
[State -1, しゃがむ動作]
type = selfstate
triggerall = !ishelper
triggerall = statetype = S
triggerall = ctrl
triggerall = roundstate = 2
trigger1 = command = "holddown"
value = 10
ignorehitpause = 1

;---------------------------------------------------------------------------
;後退ダッシュ
[State -1, Run Back]
type = selfstate
value = 105
triggerall = roundstate = 2
triggerall = name = "The_Loser_Must_Die"
triggerall = !ishelper
triggerall = statetype = S
triggerall = anim != [130,132]
triggerall = ctrl
trigger1 = command = "BB"
ignorehitpause = 1

;---------------------------------------------------------------------------
;走り
[State -1, Run Fwd]
type = selfstate
value = 100
triggerall = roundstate = 2
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl
ignorehitpause = 1

;---------------------------------------------
;空中影法師
;空中ダッシュ
[State -1, Air Run Fwd]
type  = selfstate
value  = 110
triggerall = roundstate = 2
trigger1 = command  =  "Airkage"
trigger1 = statetype  =  A
trigger1 = ctrl||anim = 105

;---------------------------------------------
;後方空中ダッシュ
;空中ダッシュ
[State -1, Air Run Back]
type  = selfstate
value  = 111
triggerall = roundstate = 2
trigger1 = command  =  "Airkage_Back"
trigger1 = statetype  =  A
trigger1 = ctrl||anim = 105

;---------------------------------------------
;後方空中ダッシュ
;空中ダッシュ
[State -1, Air Run Down]
type  = selfstate
value  = 112
triggerall = roundstate = 2
trigger1 = command  =  "Airkage_Down"
trigger1 = statetype  =  A
trigger1 = ctrl||anim = 105

;---------------------------------------------------------------------------

[State -1, 歩き]
type = selfstate
triggerall = !ishelper
triggerall = statetype = S
triggerall = ctrl
triggerall = roundstate = 2
triggerall = anim != [10, 15]
triggerall = anim != [100, 105]
trigger1 = command = "holdfwd"
trigger2 = command = "holdback"
value = 20
ignorehitpause = 1

;---------------------------------------------------------------------------
[State -1, 立ち上がる動作]
type = selfstate
value = 12
triggerall = roundstate = 2
triggerall = name = "The_Loser_Must_Die"
triggerall = !ishelper
triggerall = statetype = C
triggerall = command != "holddown"
triggerall = anim != [130,132]
trigger1 = ctrl
ignorehitpause = 1

